## org.apache.catalina.connector.warp
Class WarpConnection

    java.lang.Object
      org.apache.catalina.connector.warp.WarpConnection

All Implemented Interfaces:
  LifecycleListener, java.lang.Runnable

public class WarpConnection
extends java.lang.Object
implements LifecycleListener, java.lang.Runnable

Constructor Summary
`WarpConnection()` Construct a new instance of a `WarpConnection`.

Method Summary
`WarpConnector` `getConnector()` Return the `WarpConnector` associated with this connection.
`java.net.Socket` `getSocket()` Return the socket this connection is working on.
`void` `lifecycleEvent(LifecycleEvent event)` Get notified of events in the connector.
`void` `recv(WarpPacket packet)` Receive a WARP packet over this connection.
`void` `run()` Process data from the socket.
`void` `send(WarpPacket packet)` Send a WARP packet over this connection.
`void` `setConnector(WarpConnector connector)` Set the `WarpConnector` associated with this connection.
`void` `setSocket(java.net.Socket socket)` Set the socket this connection is working on.
`void` `start()` Start working on this connection.
`void` `stop()` Stop all we're doing on the connection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarpConnection

    public WarpConnection()

  Construct a new instance of a `WarpConnection`.

Method Detail

### setSocket

    public void setSocket(java.net.Socket socket)

  Set the socket this connection is working on.

### getSocket

    public java.net.Socket getSocket()

  Return the socket this connection is working on.

### setConnector

    public void setConnector(WarpConnector connector)

  Set the `WarpConnector` associated with this connection.

### getConnector

    public WarpConnector getConnector()

  Return the `WarpConnector` associated with this connection.

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Get notified of events in the connector.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - LifecycleEvent that has occurred

### start

    public void start()

  Start working on this connection.

### stop

    public void stop()

  Stop all we're doing on the connection.

### run

    public void run()

  Process data from the socket.

  Specified by:
    `run` in interface `java.lang.Runnable`

### send

    public void send(WarpPacket packet)
              throws java.io.IOException

  Send a WARP packet over this connection.

  Throws:
    `java.io.IOException`

### recv

    public void recv(WarpPacket packet)
              throws java.io.IOException

  Receive a WARP packet over this connection.

  Throws:
    `java.io.IOException`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.